



set OPENBLAS_NUM_THREADS=1
IF %ERRORLEVEL% NEQ 0 exit /B 1
set OMP_NUM_THREADS=1
IF %ERRORLEVEL% NEQ 0 exit /B 1
setx MPLBACKEND "Agg"
IF %ERRORLEVEL% NEQ 0 exit /B 1
set "SKIMAGE_TEST_STRICT_WARNINGS=0" && pytest --verbose --pyargs skimage -k "not (_not_a_real_test or test_uint16 or test_apply_parallel_rgb or test_thresholding or test_mpl_imshow or test_uint16 or test_apply_parallel_rgb or test_cut_normalized or test_ncut_stable_subgraph or test_reproducibility or test_imageio_truncated_jpg or test_imread_index_png_with_alpha or test_imsave_boolean_input or test_all_mono or test_extreme_palette or test_mark_boundaries_subpixel or test_3D or test_crop or test_color_histogram or test_rect_tool)"
IF %ERRORLEVEL% NEQ 0 exit /B 1
exit /B 0
